<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>net8.0-windows</TargetFramework>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>enable</Nullable>
        <GenerateAssemblyInfo>false</GenerateAssemblyInfo>
    </PropertyGroup>
    <ItemGroup>
        <PackageReference Include="Fleck" Version="1.2.0" />
        <PackageReference Include="GenHTTP.Core" Version="8.4.1" />
        <PackageReference Include="GenHTTP.Modules.Practices" Version="8.4.0" />
        <PackageReference Include="H.Formatters.BinaryFormatter" Version="2.0.59" />
        <PackageReference Include="H.Formatters.Ceras" Version="2.0.59" />
        <PackageReference Include="H.Pipes" Version="2.0.59" />
        <PackageReference Include="H.Pipes.AccessControl" Version="2.0.59" />
    </ItemGroup>

    <ItemGroup>
        <ProjectReference Include="..\InABox.Database\InABox.Database.csproj" />
        <ProjectReference Include="..\InABox.IPC.Shared\InABox.IPC.Shared.csproj" />
        <ProjectReference Include="..\InABox.Logging.Shared\InABox.Logging.Shared.csproj" />
        <ProjectReference Include="..\InABox.Mailer.Exchange\InABox.Mailer.Exchange.csproj" />
        <ProjectReference Include="..\InABox.Mailer.IMAP\InABox.Mailer.IMAP.csproj" />
        <ProjectReference Include="..\InABox.RPC.Shared\InABox.RPC.Shared.csproj" />
        <ProjectReference Include="..\InABox.WebSocket.Shared\InABox.WebSocket.Shared.csproj" />
    </ItemGroup>

    <Import Project="..\InABox.Remote.Shared\InABox.Remote.Shared.projitems" Label="Shared" />

</Project>
